/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ProdRutaDAO;
import com.rjconsultores.ventaboletos.entidad.ProdRuta;
import com.rjconsultores.ventaboletos.service.ProdRutaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("prodRutaService")
public class ProdRutaServiceImpl implements ProdRutaService {

    @Autowired
    private ProdRutaDAO prodRutaDAO;

    public List<ProdRuta> obtenerTodos() {
        return prodRutaDAO.obtenerTodos();
    }

    public ProdRuta obtenerID(Integer id) {
        return prodRutaDAO.obtenerID(id);
    }

    @Transactional
    public ProdRuta suscribir(ProdRuta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodRutaDAO.suscribir(entidad);
    }

    @Transactional
    public ProdRuta actualizacion(ProdRuta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodRutaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ProdRuta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        prodRutaDAO.actualizacion(entidad);
    }
}
